import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'tradeSharingStatus',
  standalone: true
})
export class TradeSharingStatusPipe implements PipeTransform {

  transform(status: number): string {
    switch (status) {
      case 0:
        return '待处理';
      case 1:
        return '成功';
      case 2:
        return '处理中';
      case 3:
        return '已受理';
      case 4:
        return '失败';
      default:
        return '未知';
    }
  }

}
